﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             x:Class="WM.UserInterface.Views.PageTuView"
						 Background="#bfbfbf">

	<StackPanel>

		<Grid  Margin="10" RowDefinitions=".1*, .1*, *, .1*">

			<TextBlock Grid.Row="0" FontSize="24" TextWrapping="Wrap" FontWeight="SemiBold" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=tu_title}"/>

			<Grid Grid.Row="1" ColumnDefinitions=".3*, .3*, .3*, .3*, *">
				<ComboBox Margin="5" Grid.Column="0" Width="150" Name="propertyList" Items="{Binding PropertySearchItems}" SelectedItem="{Binding SearchType}"/>
				<TextBox Margin="5" Grid.Column="1"  Width="150" FontSize="14" Text="{Binding SearchValue, Mode=TwoWay}"/>
				<Button Margin="5" Grid.Column="2" IsEnabled="{Binding #propertyList.SelectedItem, Converter={x:Static ObjectConverters.IsNotNull}}" Command="{Binding SearchItems}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Filter}"/>
				<Button Margin="5" Grid.Column="3" Command="{Binding ClearFilters}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Clear}"/>
			</Grid>

			<DataGrid IsReadOnly="True" Height="400" Margin="10" Grid.Row="2" Name="main_grid" MinColumnWidth="85" SelectedItem="{Binding SelectedItem, Mode=TwoWay}" Items="{Binding Items}"/>

			<Grid Grid.Row="3" ColumnDefinitions=".2*, .1*, *, .1*">
				<Button Margin="5" Grid.Column="0" Command="{Binding ChangeObservation}" IsEnabled="{Binding #main_grid.SelectedItem, Converter={x:Static ObjectConverters.IsNotNull}}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Observe}"/>
				<Button Margin="5" Grid.Column="3" Command="{Binding OnDeleteClick}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Delete}"/>
			</Grid>

		</Grid>

	</StackPanel>

</UserControl>
